#include <stdio.h>
#include <math.h>

int main() {
	int x,y,x1,y1;
	scanf("%d" , &x);
	scanf("%d" , &y);
	scanf("%d" , &x1);
	scanf("%d" , &y1);
	if ( abs(x-x1) == abs(y-y1) )
		{ printf("1");}
	else if ( (x1==x) || (y1==y) )
		{ printf("2");}
	else 
		{ printf("0");}
	return 0;
}